summarylogtreecommitdiffstats
path: root/xampp.install
diff options
context:
space:
mode:
authorgrufo2018-03-16 16:57:12 +0100
committergrufo2018-03-16 16:57:12 +0100
commit6d549d9e754252e8b303aa46ed94583539f79019 (patch)
treef765b7a51fbcc9a1587fddac6cff3c1df53ea2df /xampp.install
parentf705ba65dd2b7d425c63d988d59e717a7c0daa67 (diff)
downloadaur-6d549d9e754252e8b303aa46ed94583539f79019.tar.gz
New release (7.2.3) and use of the official bitrock installer (via fakeuser and proot 3.2.1) instead of the repacked version from sourceforge.net
Diffstat (limited to 'xampp.install')
-rw-r--r--xampp.install20
1 files changed, 19 insertions, 1 deletions
diff --git a/xampp.install b/xampp.install
index 4c5a91ee7ca0..d58258302b82 100644
--- a/xampp.install
+++ b/xampp.install
@@ -1,30 +1,48 @@
post_install() {
+
+ if ! id -u mysql &> /dev/null; then
+
+ echo "Creating user 'mysql'..."
+ groupadd mysql -g 992
+ useradd -u 992 -r -g mysql -s /bin/false mysql
+
+ fi
+
echo "XAMPP is now installed below the /opt/lampp directory"
echo "To start, stop or restart XAMPP simply call the command:"
echo " lampp {start, stop, restart} or xampp {start, stop, restart}"
echo "Then you can check that everything really works, Just enter the following URL at your web browser:"
echo " http://localhost"
+
}
pre_upgrade() {
+
/opt/lampp/lampp stop >/dev/null 2>&1
cp -r /opt/lampp/ /opt/lampp_backup
echo "Your /opt/lampp/ folder were backed up to /opt/lampp/htdocs_backup"
+
}
post_upgrade() {
+
echo "REMEMBER: Your /opt/lampp folder were backed up to /opt/lampp_backup"
echo "Restore manually the needed configuration files."
+
}
pre_remove() {
- echo "Stopping lampp services"
+
+ echo "Stopping lampp services..."
/opt/lampp/lampp stop >/dev/null 2>&1
cp -r /opt/lampp/htdocs /opt/lampp/htdocs_backup
echo "Your htdocs folder were backed up to /opt/lampp/htdocs_backup"
+
}
post_remove() {
+
rm -rf /opt/lampp/{etc,var}
+
}